<html>
    <head>
        <style>
            @keyframes myAnimation{
                0%{background: red;right:0% ;top: 0%;}
                20%{background: blue; right:50% ; top: 50%;}
                40%{background: red; right: 0%; top: 100%;}
                60%{background: green;right: 100%; top:0%}
                80%{background: blue;right:50%; top:50%}
                100%{background: green; right: 100%; top :100%}
            }
            #circle{
                position: absolute;
                width: 100px;
                height: 100px;
                border-radius: 50%;
                background: blue;
                animation: myAnimation 10s linear 3s 1 ;
            }
            div{
                width: 100%;
                height: 100%;
            }
        </style>
    </head>
    <body>
        <div>
            <div id="circle"></div>
        </div>
        
    </body>
</html>